*******************************************************************************************************
*  STATA Do files for:				 										*
*											                    			*
* Matthew Fuhrmann and Jaroslav Tir, "Territorial Dimensions of Enduring Internal Rivalries," 		*
* Conflict Management and Peace Science, Vol. 26 (September 2009), pp. 307-331.				*
* 	                     													*
* 	                                                        							*
* Do files written for use in STATA 10.0			        							*
* Last modified by Matthew Fuhrmann: July, 2008		            						*
*******************************************************************************************************

******************************************************************************************************
* Table 2
******************************************************************************************************
logit eirall terr  GDPpercap cinc pol2end milterm intensewar durpeace2 oil elf if independence~=1, cluster(id) 
logit eir5 terr  GDPpercap cinc pol2end milterm intensewar durpeace2 oil elf if independence~=1, cluster(id) 
logit eirall terr  GDPpercap cinc pol2end milterm intensewar durpeace2 oil elf ethwar sos if independence~=1, cluster(id) 
logit eirall terr  durpeace2 ethwar if independence~=1, cluster(id) 
logit eirall terr  GDPpercap cinc pol2end milterm intensewar durpeace2 oil elf if independence~=1, cluster(id) 

******************************************************************************************************
* Table 3
******************************************************************************************************
logit myrecur teirall GDPpercap cinc pol2end milterm intensewar durpeace2 lnwardur oil elf if independence~=1, cluster(id)
logit myrecur teir5 GDPpercap cinc pol2end milterm intensewar durpeace2 lnwardur oil elf if independence~=1, cluster(id)
logit myrecur teirall GDPpercap cinc pol2end milterm intensewar durpeace2 lnwardur oil elf ethwar sos if independence~=1, cluster(id)
logit myrecur teirall GDPpercap  intensewar durpeace2  if independence~=1, cluster(id)

******************************************************************************************************
* Table 4
******************************************************************************************************
stset, clear
stset durpeace2, fail(statpeace) enter(time0) exit(time .)
streg teirall GDPpercap cinc pol2end milterm intensewar  lnwardur oil elf if independence~=1, cluster(id) d(weibull) nohr nolog
streg teir5 GDPpercap cinc pol2end milterm intensewar  lnwardur oil elf if independence~=1, cluster(id) d(weibull) nohr nolog
streg teirall GDPpercap cinc pol2end milterm intensewar  lnwardur oil elf ethwar sos if independence~=1, cluster(id) d(weibull) nohr nolog
streg teirall milterm if independence~=1, cluster(id) d(weibull) nohr nolog

******************************************************************************************************
* Figure 1
******************************************************************************************************
stset, clear
stset lnpeace2, fail(statpeace) enter(time0) exit(time .)
streg teirall GDPpercap cinc pol2end milterm intensewar  lnwardur oil elf ethwar sos if independence~=1, cluster(id) d(weibull) nohr nolog
sts graph, haz by(teirall) clpattern(dash solid) xtitle("Days (logged)") ytitle("Peace Hazard") title("")
graph save "C:\Documents and Settings\Matt Fuhrmann\Desktop\CMPS Replication\Figure 1.gph", replace

******************************************************************************************************
* Robustness Checks
******************************************************************************************************
logit eirall terr  GDPpercap cinc pol2end milterm intensewar durpeace2 oil elf , cluster(id) 
logit eir5 terr  GDPpercap cinc pol2end milterm intensewar durpeace2 oil elf , cluster(id) 
logit eirall terr  GDPpercap cinc pol2end milterm intensewar durpeace2 oil elf ethwar sos , cluster(id) 
logit eirall terr  durpeace2 ethwar , cluster(id) 
logit myrecur teirall GDPpercap cinc pol2end milterm intensewar durpeace2 lnwardur oil elf , cluster(id)
logit myrecur teir5 GDPpercap cinc pol2end milterm intensewar durpeace2 lnwardur oil elf , cluster(id)
logit myrecur teirall GDPpercap cinc pol2end milterm intensewar durpeace2 lnwardur oil elf ethwar sos , cluster(id)
logit myrecur teirall GDPpercap  intensewar durpeace2  , cluster(id)
stset, clear
stset durpeace2, fail(statpeace) enter(time0) exit(time .)
streg teirall GDPpercap cinc pol2end milterm intensewar  lnwardur oil elf , cluster(id) d(weibull) nohr nolog
streg teir5 GDPpercap cinc pol2end milterm intensewar  lnwardur oil elf , cluster(id) d(weibull) nohr nolog
streg teirall GDPpercap cinc pol2end milterm intensewar  lnwardur oil elf ethwar sos , cluster(id) d(weibull) nohr nolog
streg teirall milterm , cluster(id) d(weibull) nohr nolog
logit eirall terr  GDPpercap mycincpop pol2end milterm intensewar durpeace2 oil elf if independence~=1, cluster(id) 
logit eir5 terr  GDPpercap mycincpop pol2end milterm intensewar durpeace2 oil elf if independence~=1, cluster(id) 
logit eirall terr  GDPpercap mycincpop pol2end milterm intensewar durpeace2 oil elf ethwar sos if independence~=1, cluster(id) 
logit eirall terr  durpeace2 ethwar if independence~=1, cluster(id) 
logit myrecur teirall GDPpercap mycincpop pol2end milterm intensewar durpeace2 lnwardur oil elf if independence~=1, cluster(id)
logit myrecur teir5 GDPpercap mycincpop pol2end milterm intensewar durpeace2 lnwardur oil elf if independence~=1, cluster(id)
logit myrecur teirall GDPpercap mycincpop pol2end milterm intensewar durpeace2 lnwardur oil elf ethwar sos if independence~=1, cluster(id)
logit myrecur teirall GDPpercap  intensewar durpeace2  if independence~=1, cluster(id)
stset, clear
stset durpeace2, fail(statpeace) enter(time0) exit(time .)
streg teirall GDPpercap mycincpop pol2end milterm intensewar  lnwardur oil elf if independence~=1, cluster(id) d(weibull) nohr nolog
streg teir5 GDPpercap mycincpop pol2end milterm intensewar  lnwardur oil elf if independence~=1, cluster(id) d(weibull) nohr nolog
streg teirall GDPpercap mycincpop pol2end milterm intensewar  lnwardur oil elf ethwar sos if independence~=1, cluster(id) d(weibull) nohr nolog
streg teirall milterm if independence~=1, cluster(id) d(weibull) nohr nolog
